@echo off
REM 
REM
REM Usage: 
REM  runTableScripts_patch_AparJR38175.bat
REM
REM Function:
REM  This script is used to create Database tables for IIC Model Aware Server Adapter 
REM 
REM Return Codes:  0 for success
REM 
REM Author: Jing Fan, fanjbj@cn.ibm.com
REM --------------------------------------------------------------------------

setlocal
set PPBDDLPath=@PPBDDLPath@
set MMDBDDLPath=@MMDBDDLPath@
set MASADBDDLPath=@MASADBDDLPath@

%~d0
cd %~p0


echo Updating PPB data with ppbParameterLoad.ddl
db2 -tf %PPBDDLPath%
if %ERRORLEVEL% gtr 2 goto END

echo Recreating MASADB Tables with MASADB_DB2.ddl
db2 -tf %MASADBDDLPath%
if %ERRORLEVEL% gtr 2 goto END

echo Recreating MMDB Tables with MMDB.ddl
db2 -tf %MMDBDDLPath%
if %ERRORLEVEL% gtr 2 goto END

if not %ERRORLEVEL%==0 (
    goto PRINT_USAGE
) else (
    echo Successfully Created MASADB,MMDB Database Tables and Updated PPB Data. 
    goto END 
)

:PRINT_USAGE

REM Print usage messages
echo.
echo ================================================================
echo Usage: runTableScripts_patch_AparJR38175.bat
echo ================================================================

goto END

:END

endlocal
